Summary:	SSH key manager for KDE
Name:		ksshagent
Version:	0.6
Release:	%mkrel 2
License:	GPL
Group:		Networking/Remote access
Source:		http://hanz.nl/download/ksshagent-%{version}.tar.gz
Patch1:         ksshagent-desktop.patch
Url:		http://hanz.nl/
BuildRequires:	kdelibs-devel
Requires:	openssh-clients
Requires:	ksshaskpass
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
Ksshagent is a front-end to ssh-agent which
allow you to graphically create, add, list and remove ssh-keys.

%prep
%setup -qn %{name}-%{version}
%patch1 -p0 -b .desktop

%build

%configure2_5x \
    --enable-final \
    --enable-nmcheck \
    --enable-pch \
    --disable-rpath \
    --with-qt-libraries=%{_prefix}/lib/qt3/%{_lib}

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

%find_lang %{name}

%post
%{update_menus}
%if %mdkversion >= 200700
%{update_desktop_database}
%update_icon_cache hicolor
%endif

%postun
%{clean_menus}
%if %mdkversion >= 200700
%{clean_desktop_database}
%clean_icon_cache hicolor
%endif

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS README COPYING ChangeLog  
%attr(755,root,root)%{_bindir}/%{name}
%dir %{_datadir}/apps/%{name}
%dir %{_datadir}/doc/kde/HTML/en/%{name}
%{_datadir}/applications/kde/%{name}.desktop
%{_datadir}/applnk/Utilities/%{name}.desktop
%{_datadir}/apps/ksshagent/%{name}ui.rc
%{_datadir}/config.kcfg/%{name}.kcfg
%{_datadir}/doc/kde/HTML/en/%{name}/*
%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_datadir}/icons/hicolor/64x64/apps/%{name}.png


%changelog
* Wed Jan 17 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6-2mdv2007.0
+ Revision: 109801
- bump release tag
- updated tarball

* Tue Jan 16 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6-1mdv2007.1
+ Revision: 109558
- fix doc path
- new version
- drop patch 0 (fixed upstream)
- add requires
- fix xdg menu entry
- spec file clean

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Fix typo on the configuration menu

* Wed Jan 03 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5-2mdv2007.1
+ Revision: 103905
- fix build on x86_64
- fix group
- Import ksshagent

